org.eclipse.jetty.webapp

## Class AbstractConfiguration

- java.lang.Object
- - org.eclipse.jetty.webapp.AbstractConfiguration

All Implemented Interfaces:
  Configuration

Direct Known Subclasses:
  AnnotationConfiguration, CloneConfiguration, EnvConfiguration, FragmentConfiguration, JettyWebXmlConfiguration, MetaInfConfiguration, PlusConfiguration, TagLibConfiguration, WebInfConfiguration, WebXmlConfiguration

    public class AbstractConfiguration
    extends Object
    implements Configuration

### Constructor Summary

Constructors
Constructor and Description
`AbstractConfiguration()`

### Method Summary

Methods
`void` `cloneConfigure(WebAppContext template, WebAppContext context)` Clone configuration instance.
`void` `configure(WebAppContext context)` Configure WebApp.
`void` `deconfigure(WebAppContext context)` DeConfigure WebApp.
`void` `destroy(WebAppContext context)` Destroy WebApp.
`void` `postConfigure(WebAppContext context)` Clear down after configuration.
`void` `preConfigure(WebAppContext context)` Set up for configuration.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractConfiguration

    public AbstractConfiguration()

### Method Detail

#### preConfigure

    public void preConfigure(WebAppContext context)
                      throws Exception

Description copied from interface: `Configuration`
Set up for configuration.

Typically this step discovers configuration resources

Specified by:
  `preConfigure` in interface `Configuration`
Parameters:
  `context` - The context to configure
Throws:
  `Exception`

#### configure

    public void configure(WebAppContext context)
                   throws Exception

Description copied from interface: `Configuration`
Configure WebApp.

Typically this step applies the discovered configuration resources to either the `WebAppContext` or the associated `MetaData`.

Specified by:
  `configure` in interface `Configuration`
Parameters:
  `context` - The context to configure
Throws:
  `Exception`

#### postConfigure

    public void postConfigure(WebAppContext context)
                       throws Exception

Description copied from interface: `Configuration`
Clear down after configuration.

Specified by:
  `postConfigure` in interface `Configuration`
Parameters:
  `context` - The context to configure
Throws:
  `Exception`

#### deconfigure

    public void deconfigure(WebAppContext context)
                     throws Exception

Description copied from interface: `Configuration`
DeConfigure WebApp. This method is called to undo all configuration done. This is called to allow the context to work correctly over a stop/start cycle

Specified by:
  `deconfigure` in interface `Configuration`
Parameters:
  `context` - The context to configure
Throws:
  `Exception`

#### destroy

    public void destroy(WebAppContext context)
                 throws Exception

Description copied from interface: `Configuration`
Destroy WebApp. This method is called to destroy a webappcontext. It is typically called when a context is removed from a server handler hierarchy by the deployer.

Specified by:
  `destroy` in interface `Configuration`
Parameters:
  `context` - The context to configure
Throws:
  `Exception`

#### cloneConfigure

    public void cloneConfigure(WebAppContext template,
                      WebAppContext context)
                        throws Exception

Description copied from interface: `Configuration`
Clone configuration instance.

Configure an instance of a WebAppContext, based on a template WebAppContext that has previously been configured by this Configuration.

Specified by:
  `cloneConfigure` in interface `Configuration`
Parameters:
  `template` - The template context
  `context` - The context to configure
Throws:
  `Exception`